En poursuivant votre navigation sur ce site, vous acceptez l'utilisation de cookies pour vous proposer des contenus et services adaptés. Mentions légales.
 
 
 
 
 
Texte à méditer :   Une Question est stupide tant qu'elle n'est pas posée !    Henri
Texte à méditer :   L'informatique, c'est magique !   Henri
Texte à méditer :   La connaissance s'accroit quand on la partage !    J.C. Bellamy
Texte à méditer :   ordinateur.png tablettes.png smartphone.png Site visible sur PC, sur Tablette, sur Smartphone   Henri
 
 
 

Webmaster - Infos

 

Préférences


Se reconnecter :
Votre nom (ou pseudo) :
Votre mot de passe


  2145733 visiteurs
  19 visiteurs en ligne

  34 membres
Connectés :
( personne )
Snif !!!
 
 
 
 
 
Vous êtes ici :   Accueil » Nouvelles
 
 
 
    Imprimer la page...
    Imprimer la section...

Nouvelles

news1.gifMise en conformite PHP5 - le 06/09/2010 - 18:36 par Henri
Mise en conformité PHP 5
Nouvelle permanente jusqu'au passage définitif en PHP 5

Une fois de plus, j'ai entrepris un gros boulot de mise à jour de mon site. En effet, le Php qui est le langage des Hébergeurs de sites de type "CMS" est passé de la V4 à la V5, ce qui fait qu'ils pourraient nous imposer la V5 du jour au lendemain, sachant qu'aujourd'hui, les deux versions sont utilisées, mais que le Php 4 n'est plus maintenu. eek

Guppy depuis la version 4.6 est compatible avec le Php 5, mais comme je continue d'utiliser certains Plugins de Guppy créés à l'époque de la V4.5, ceux-ci ne sont plus compatibles avec le Php5, ainsi que les datas qu'ils ont créés, vous me suivez ?
cry

Pour la mise à jour des datas, c'est facile, grâce à "Icare" (Voir Forum Guppy) qui a créé une "petite moulinette" (un script PHP) et à Katryne qui l'a mise à disposition sur son site, il se nomme "migrer_data_46.php ". Il suffit de le mettre en ligne par FTP dans l'arborescence de son site et de l'appeler en tapant son nom à la suite de l'URL du site. La moulinette va fonctionner, c'est magique. cool
Merci à eux deux. tongue

Pour les Plugins, il n'y a pas d'autres solutions (à ma connaissance) que de faire ça à la main.
C'est pas très compliqué et ça peut rapporterr gros. smile
Il suffit d'ajouter "php" à la suite de "<?", par exemple pour le début d'une page programmée en Php, ainsi que dans certaines lignes de programmation. 
cool
Pour les petits Plugins en V4.5, c'est long, mais on ne rencontre pas trop de problèmes.
Pour certains, quelques fonctions ne sont plus valides, "split" est à remplacer par "explode", "ereg" doit être remplacé par "preg_match", "eregi_replace" par "preg_replace", par exemple. cry
Là, c'est un peu plus compliqué, car les "warnings" (messages d'erreur) sont nombreux et quelquefois "abscons". confused
C'était le cas par exemple pour le Script "Quickart" (Petit logiciel de e.commerce), également concerné par une mise à jour en Php 5.

Mon Album photos "PhpWebGallery", actuellement en V1.7.2  doit être mis à jour en V2.1.3. Il se nommera alors "Piwigo". smile.
C'est fait, non sans mal, car j'ai eu droit à un plantage de la base de données en cours de migration. eek
Il est également hébergé en Php 5, c'est le 1er de la série.
biggrin

Mon Forum, "PhpBB3" V3.0.7 fonctionne en Php 5, c'est le second de la série. biggrin

Mon Blog "DotClear" V1.2.8, "semble" compatible Php 5, mais il reste encore quelques "couics" avant de le passer en Php 5. cry N'ayant pas de réponse définitive sur le forum "Dotclear" au sujet des problèmes que je rencontre pour le passage en Php 5 (la V1.2.8 n'étant plus maintenue), j'ai tenté une nouvelle fois de migrer en V 2.2. J'avais déjà essayé en Août 2008, hébergé alors chez Club-Internet sans succès, puis en Juillet 2009 chez Nuxit et ça ne fonctionnait pas.
Ayant de la suite dans les idées, je viens de faire une tentative en local et bingo, ça fonctionne bien et cette version est superbe. smile
Je fais une tentative de mise en ligne après avoir supprimé le Blog actuel avec sa base de données (Je ne peux plus en ajouter) ça se passe bien, j'obtiens le Blog mais je n'ai pas de skin.
cry
Après pas mal de recherches, je découvre un message me disant que la fonction de gestion de bases de données "innoDB" n'est pas disponible avec un hébergement mutualisé rolleyes
Il faut choisir l'abonnement sur "serveur dédié", bien sûr plus onéreux. 
mad
Ah, les subtilités de l'informatique. eek
Je viens de faire un petit mail à mon hébergeur sans grand espoir, mais je n'ai plus qu'à réinstaller l'ancien Blog et le pire, c'est que pour l'instant, je ne peux pas le passer en Php 5, voir ci-dessus. 
mad
Bon, l'affaire est entendue et je vous réserve une belle surprise, j'ai fait une migration une fois de plus, mais là, vers un nouveau Blog de type "Wordpress", je le peaufine et le mets en ligne. biggrin
C'est fait depuis le 27 Septembre, c'est le 3ème de la série qui fonctionne en Php 5.biggrin

Mon Livre d'or "AlexGuestbook" actuellement en V5.0.1 semble compatible Php 5, j'en serais sûr quand Guppy sera opérationnel en Php 5.
Je viens en plus de "découvrir" une fonction que je ne connaissais pas, à savoir, la possibilité comme sur le Livre d'or de Guppy, de faire apparaître les "X" derniers messages du Livre d'or sur la page d'Accueil du site, ce que je viens de faire. 
biggrin

Guppy fonctionne en Php5, c'est le 4ème de la sériebiggrin
Le Livre d'or fonctionne également, c'est le 5ème d'une longue série qui m'a occupé un moment. biggrin

Le Plugin "Cinéma", alors que c'est un Plugin relativement simple ne veut rien savoir non plus. 

Le Plugin "Vidéos 6 en 1" m'a occupé de nombreuses heures et j'ai bien avancé, par contre je bute encore, car je n'obtiens pas les vidéos. 
Ce Plugin est un gros morceau, il comporte de nombreuses pages de code.

J'abandonne, car même en Php 4, il y a des bugs de fonctionnement, et j'avoue que mes connaissances en Php sont insuffisantes.  rolleyes

Grâce à Google, j'ai créé un petit fichier "phpinfo.php" que j'ai glissé dans l'arborescence de mon Site, de mon Blog, de mon Forum et de mon Album Photos et j'ai constaté qu'ils sont bien tous passés de Php 4.8 à Php 5.2.13.
Je viens de poser la question à l'hébergeur, afin de savoir quand le Php5.3 sera opérationnel ?

Pour l'instant, affaire classée. 
biggrinbiggrinbiggrin
Nous sommes quand même le 6 Octobre.. eek
 

Lire la suite Lire la suite

Mise en conformité PHP 5
Nouvelle permanente jusqu'au passage définitif en PHP 5

Une fois de plus, j'ai entrepris un gros boulot de mise à jour de mon site. En effet, le Php qui est le langage des Hébergeurs de sites de type "CMS" est passé de la V4 à la V5, ce qui fait qu'ils pourraient nous imposer la V5 du jour au lendemain, sachant qu'aujourd'hui, les deux versions sont utilisées, mais que le Php 4 n'est plus maintenu. eek

Guppy depuis la version 4.6 est compatible avec le Php 5, mais comme je continue d'utiliser certains Plugins de Guppy créés à l'époque de la V4.5, ceux-ci ne sont plus compatibles avec le Php5, ainsi que les datas qu'ils ont créés, vous me suivez ?
cry

Pour la mise à jour des datas, c'est facile, grâce à "Icare" (Voir Forum Guppy) qui a créé une "petite moulinette" (un script PHP) et à Katryne qui l'a mise à disposition sur son site, il se nomme "migrer_data_46.php ". Il suffit de le mettre en ligne par FTP dans l'arborescence de son site et de l'appeler en tapant son nom à la suite de l'URL du site. La moulinette va fonctionner, c'est magique. cool
Merci à eux deux. tongue

Pour les Plugins, il n'y a pas d'autres solutions (à ma connaissance) que de faire ça à la main.
C'est pas très compliqué et ça peut rapporterr gros. smile
Il suffit d'ajouter "php" à la suite de "<?", par exemple pour le début d'une page programmée en Php, ainsi que dans certaines lignes de programmation. 
cool
Pour les petits Plugins en V4.5, c'est long, mais on ne rencontre pas trop de problèmes.
Pour certains, quelques fonctions ne sont plus valides, "split" est à remplacer par "explode", "ereg" doit être remplacé par "preg_match", "eregi_replace" par "preg_replace", par exemple. cry
Là, c'est un peu plus compliqué, car les "warnings" (messages d'erreur) sont nombreux et quelquefois "abscons". confused
C'était le cas par exemple pour le Script "Quickart" (Petit logiciel de e.commerce), également concerné par une mise à jour en Php 5.

Mon Album photos "PhpWebGallery", actuellement en V1.7.2  doit être mis à jour en V2.1.3. Il se nommera alors "Piwigo". smile.
C'est fait, non sans mal, car j'ai eu droit à un plantage de la base de données en cours de migration. eek
Il est également hébergé en Php 5, c'est le 1er de la série.
biggrin

Mon Forum, "PhpBB3" V3.0.7 fonctionne en Php 5, c'est le second de la série. biggrin

Mon Blog "DotClear" V1.2.8, "semble" compatible Php 5, mais il reste encore quelques "couics" avant de le passer en Php 5. cry N'ayant pas de réponse définitive sur le forum "Dotclear" au sujet des problèmes que je rencontre pour le passage en Php 5 (la V1.2.8 n'étant plus maintenue), j'ai tenté une nouvelle fois de migrer en V 2.2. J'avais déjà essayé en Août 2008, hébergé alors chez Club-Internet sans succès, puis en Juillet 2009 chez Nuxit et ça ne fonctionnait pas.
Ayant de la suite dans les idées, je viens de faire une tentative en local et bingo, ça fonctionne bien et cette version est superbe. smile
Je fais une tentative de mise en ligne après avoir supprimé le Blog actuel avec sa base de données (Je ne peux plus en ajouter) ça se passe bien, j'obtiens le Blog mais je n'ai pas de skin.
cry
Après pas mal de recherches, je découvre un message me disant que la fonction de gestion de bases de données "innoDB" n'est pas disponible avec un hébergement mutualisé rolleyes
Il faut choisir l'abonnement sur "serveur dédié", bien sûr plus onéreux. 
mad
Ah, les subtilités de l'informatique. eek
Je viens de faire un petit mail à mon hébergeur sans grand espoir, mais je n'ai plus qu'à réinstaller l'ancien Blog et le pire, c'est que pour l'instant, je ne peux pas le passer en Php 5, voir ci-dessus. 
mad
Bon, l'affaire est entendue et je vous réserve une belle surprise, j'ai fait une migration une fois de plus, mais là, vers un nouveau Blog de type "Wordpress", je le peaufine et le mets en ligne. biggrin
C'est fait depuis le 27 Septembre, c'est le 3ème de la série qui fonctionne en Php 5.biggrin

Mon Livre d'or "AlexGuestbook" actuellement en V5.0.1 semble compatible Php 5, j'en serais sûr quand Guppy sera opérationnel en Php 5.
Je viens en plus de "découvrir" une fonction que je ne connaissais pas, à savoir, la possibilité comme sur le Livre d'or de Guppy, de faire apparaître les "X" derniers messages du Livre d'or sur la page d'Accueil du site, ce que je viens de faire. 
biggrin

Guppy fonctionne en Php5, c'est le 4ème de la sériebiggrin
Le Livre d'or fonctionne également, c'est le 5ème d'une longue série qui m'a occupé un moment. biggrin

Le Plugin "Cinéma", alors que c'est un Plugin relativement simple ne veut rien savoir non plus. 

Le Plugin "Vidéos 6 en 1" m'a occupé de nombreuses heures et j'ai bien avancé, par contre je bute encore, car je n'obtiens pas les vidéos. 
Ce Plugin est un gros morceau, il comporte de nombreuses pages de code.

J'abandonne, car même en Php 4, il y a des bugs de fonctionnement, et j'avoue que mes connaissances en Php sont insuffisantes.  rolleyes

Grâce à Google, j'ai créé un petit fichier "phpinfo.php" que j'ai glissé dans l'arborescence de mon Site, de mon Blog, de mon Forum et de mon Album Photos et j'ai constaté qu'ils sont bien tous passés de Php 4.8 à Php 5.2.13.
Je viens de poser la question à l'hébergeur, afin de savoir quand le Php5.3 sera opérationnel ?

Pour l'instant, affaire classée. 
biggrinbiggrinbiggrin
Nous sommes quand même le 6 Octobre.. eek
 

Fermer Fermer


Derniers Messages de mon Forum PhpBB3

forum.gif

Lire la suite

Derniers Messages de mon Livre d'or Alex_GuestBook

livredor.gif

Utilisateur de Guppy, je suis membre de l'association "FreeGuppy", et vous ???



ban_asso_rv.gif

Lire la suite

livredor.gif

Utilisateur de Guppy, je suis membre de l'association "FreeGuppy", et vous ???



ban_asso_rv.gif

Fermer

Le Vide-grenier de Henri Chéli

houa.gif

Devant l'abondance de matériel informatique récupéré çà et là, et remis en état,

j'ai décidé d'ouvrir un Vide Grenier.

C'est aussi une façon pour moi de faire l'inventaire de mes trésors. smile

N'hésitez pas à vous renseigner.

Mise à jour du Plugin "QuickCart V5" en V6.7 par "Linuxmr" le 19/03/2018

Ce Plugin "Boutique", remis à jour par LINUXMR est à nouveau disponible en V6.01 depuis le 14 Janvier 2019

vide-grenier.jpg>

Cliquez là ou ci-dessous, ou dans le Menu  nouveau4.gif

Lire la suite

houa.gif

Devant l'abondance de matériel informatique récupéré çà et là, et remis en état,

j'ai décidé d'ouvrir un Vide Grenier.

C'est aussi une façon pour moi de faire l'inventaire de mes trésors. smile

N'hésitez pas à vous renseigner.

Mise à jour du Plugin "QuickCart V5" en V6.7 par "Linuxmr" le 19/03/2018

Ce Plugin "Boutique", remis à jour par LINUXMR est à nouveau disponible en V6.01 depuis le 14 Janvier 2019

vide-grenier.jpg>

Cliquez là ou ci-dessous, ou dans le Menu  nouveau4.gif

Fermer

Guppy 5.02.02 et Nouveautés magiques

Guppy 5.02.02

guppy.gif

Et voici Guppy 5.0.0.2, la 100ème version de Guppy. Dans quelques jours, Guppy aura 15 ans. La première version de miniPortail est sortie le 30 décembre 2002. Pour cette 100ème version, deux nouveautés importantes font leur apparition.

- l'intégration du plugin jQuery Unite-Gallery, y compris la partie administration.

- l'intégration du plugin jQuery Liquid Slider, y compris la partie administration.

Un grand "Bravo" à "Saxbar", à Papinou et à la "GuppyTeam" pour toutes ces nouveautés.

Unite-Gallery

photo.gif

Unite Gallery est un plugin jQuery responsive, pour des galeries de photos et de vidéos. Cette galerie puissante et rapide, a toutes les fonctionnalités nécessaires, responsive, réactive au toucher et même un effet zom.
Responsive - s'adapte à chaque écran avec préservation automatique du ratio et peut répondre à un changement de taille d'écran.
Toucher - Toutes les parties de la galerie peuvent être contrôlées par des dispositifs tactiles.
Skinnable - Possibilité de changer de skins avec facilité dans différents fichiers css sans toucher la galerie principale css.
Thèmes - plusieurs thèmes, chaque thème a ses propres options et fonctionnalités, mais il utilise les objets de base de la galerie.
Effet Zoom - un effet zoom unique qui peut-être appliqué à l'intérieur des boutons, de la molette de la souris ou d'un geste de pincement au toucher.
Thème Vidéo - à partir de : Youtube, Vimeo, HTML5, Wistia.

Liquid Skidery

ordinateur.pngsmartphone.pngtablettes.png

Liquid Slider est un Slider jQuery Responsive, ce qui sous-entend créer dans le but de s'adapter à tous les terminaux et par conséquent aux différentes tailles d'écran.

Il présente des transitions CSS3, utilise "animate.css", la navigation dynamique par glisser-déplacer, et plus encore.

Puissant, facile à utiliser et rapide.

Il est entièrement réactif et totalement adaptable aux changements de largeur et d'orientation, utilisant des animations CSS3 modernes pour forcer l'acquisition matérielle sur les périphériques mobiles, vous n'aurez jamais à vous soucier des transitions lentes ou rapides.